Wordpressカスタマイズ日記 > プラグイン > JavaScriptを必要とするブログパーツでは
プラグイン

JavaScriptを必要とするブログパーツでは

趣味のサイトでブログパーツを設置しようとしたところ、

JavaScriptを必要とする事がわかりました。このJavaScriptを動作させには、

  1. ectoカスタムフィールドへJavaScriptを書いて、ショートコードで呼び出す。
  2. プラグインで対応する。

の二つ思い浮かびました。

プラグインでは、Wordpressのバージョンが低く設定されているために

エラーになる可能性があります。

また、ショートコードで呼び出すのは記事(ポスト)ごとになりますから能率的ではありません。

いろいろ迷った末に、ためしにテストサイトでMarsEditの編集画面をHTMLモードにして

コードを張り付けてアップしてみました。

編集画面をリッチテキストモードにしても正しく表示されませんでしたが、

アップロードをしてみると、正しく表示されていました。

趣味のサイトのバージョンはWordpress 3.1ですが、表示される事は表示されます。

何日か様子を見て正しく動くかテストしてみたいと思います。

ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー

ページトップに戻る↑                           ページ一番下へ↓

Wordpress

About 1q3

ブログの表示表示方式をいろいろ探してWordpressにたどり着きました。自分の苦労した経緯を紹介しますのですこしでも参考になれば幸いです。

最終更新日 2013年11月3日日曜日 15:06:14

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*

Optionally add an image (JPEG only)